html {
  font-size: 10px;
}

html,body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  margin: 0;
  background-color: var(--header-background, #2a400c);
}

[role=main] {
  position: absolute;
  width: 100%;
  height: 100%;
  background: white;
  color: black;
  z-index: 1;
}

/**
 * 1. COMPLEX: Scoped style-sheets within <gaia-header>
 * trump all other rules. !important is required
 * for an app to over-ride the default appearance
 * of content within the custom-element. This may
 * change when we get `:host` and `:content` selectors
 * in shadow-dom.
 */

#accept.hidden {
  display: none !important; /* 1 */
}

#si-sl-screen {
  height: calc(100% - var(--statusbar-height));
  width: 100%;
  position: absolute;
  top: var(--statusbar-height);
}

#si-sl-screen .container {
  height: calc(100% - var(--softkeybar-height) - var(--statusbar-height));
  width: 100%;
  position: absolute;
}

#si-sl-screen .message {
  height: 100%;
  width: calc(100% - 1rem);
  overflow: scroll;
  word-wrap: break-word;
  margin-left: 1rem;
}

#si-sl-screen .message p {
  margin: 0 1rem 0 0;
}

#si-sl-screen .message a {
  display: inline;
  width: calc(100% - 1rem);
}

#si-sl-screen .message .selected {
  background-color: var(--highlight-color);
}

#cp-pin-screen .message {
  color: #000;
  padding: 2rem 1.5rem;
}

#cp-pin-screen .message p {
  margin: 0 0 2rem;
  font-size: 1.5rem;
  line-height: 1.8rem;
}

#cp-auth-failure {
  color: #f00;
}

#cp-details-screen {
  overflow: auto;
}

.view {
  position: absolute;
  top: 0;
  transform: translateX(0 );
  transition: transform 0.4s;
}

.view.right {
  transform: translateX(100%);
}

.view.left {
  transform: translateX(-100%);
}

#cp-apply-configuration-confirm,
#cp-configuration-error-dialog {
  background-color: white;
  color: var(--color-gs90);
  overflow: hidden;
  position: fixed;
  z-index: 110;
  top: var(--statusbar-height);
  left: 0;
  right: 0;
  bottom: 0;
}

#cp-apply-configuration-confirm > section {
  overflow-y: hidden;
  margin-top: 28px;
}

header {
  position: fixed;
  width: 100%;
}

.header {
  height: var(--header-height);
  line-height: var(--header-height);
  padding: 0 1rem;
  margin: 0;
  text-align: center;
  color: var(--color-gs00);
  background-color: var(--header-background);
}

.wrapper {
  margin: 0;
  padding-top: 0.5rem;
  padding-right: 1rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
}

.input-wrapper {
  padding: 1rem;
}

.input-wrapper input {
  margin: 0;
  padding: 0 1rem;
}

.focus {
  background-color: var(--highlight-color);
  color: white;
}

.scrollBar {
  border: 0 solid rgb(155, 155, 155);
  min-height: 4rem;
  /*max-height: 10rem;
  overflow-y: auto;*/
  width: 90%;
  text-align: left;
  margin: auto;
}
